export default {

    getLocationNum:5, //失败重连次数

    callbackEvent:{}, //保存回调函数 定位失败时再次定位
    //定位获得当前位置信息
    getLocation(callbackEvent) {

        this.callbackEvent= callbackEvent;

        var geolocation = new qq.maps.Geolocation("LACBZ-MDX6W-NT3RH-OLECY-XVHD3-G5BKA", "UE");
        geolocation.getLocation(
            callbackEvent.success,
            this.showErr(callbackEvent.error)
        );
    },

    showErr(callback) {
        var status = {status:0,msg:''};
        this.getLocationNum --;
        if(this.getLocationNum >=0){
            status =  {status:-1,msg:'定位失败再请求定位'};
            this.getLocation(this.callbackEvent);
            return status;
        }else{
            status =  {status:-1,msg:'无法定位当前位置'};
            return status;
        }
        callback(status);
    },

    //位置信息在地图上展示
    /*setMap() {
        // 步骤：定义map变量 调用 qq.maps.Map() 构造函数   获取地图显示容器
        // 设置地图中心点
        var x = '';
        var y = '';
        var myLatlng = new qq.maps.LatLng(x,y);
        //定义工厂模式函数
        var myOptions = {
            zoom: 20,               //设置地图缩放级别
            center: myLatlng,    //设置中心点样式
            mapTypeId: qq.maps.MapTypeId.ROADMAP  //设置地图样式详情参见MapType
        }
        //获取dom元素添加地图信息
        var map = new qq.maps.Map(document.getElementById(""), myOptions);

        // 给定位的位置添加图片标注
        var marker = new qq.maps.Marker({
            position: myLatlng,
            map: map
        });
        // 给定位的位置添加文本标注
        // var marker = new qq.maps.Label({
        //     position: myLatlng,
        //     map: map,
        //     content: '这是我当前的位置，偏差有点大，哈哈'
        // });
    }*/
}
